Unable to find missing library


#1

I have just installed OsciStudio on my M1 mac mini and I am fairly new to this program, I have been trying to get into the livecoding side of things however I am getting this error.

25%20PM

Im no computer programmer so I am a little at a loss on what needs to be done, any help would be appreciated.

Thank you!

OsciStudio Version: v0.6.0.38 / 2018-10-31 / pre2
Operating System: macOS Big Sur 11.0.1


#2

ouch. didn’t know that, but …

i’m sorry, but oscistudio is untested on the M1 and this error is unfixable at the moment.

ps. i’ve added a note in the “cons” here https://oscilloscopemusic.com/oscistudio.php
do you have access to an intel mac or windows?

i’m really sorry about this, but apple has been fast and brutal with their changes in the past years, it’s almost impossible to write osx software that functions longer than a year now.


#3

Thanks for the response, I don’t know if its the M1 or Big Sur as I have an intel macbook pro with Big Sur and it is not working on that as well. I will try my wife’s intel macbook as she never updates haha. Thanks for the program none the less!


#4

Does the rest of the OsciStudio work on Big Sur? What features do not work?


#5

Yeah I think so, blender connection works from 2.8 and saved files work normally as well. Seems to just be the livecoding, I have never ran it on anything other then Big Sur so I might be missing something with out knowing it haha.


#6

tiny update: i finally have access to a M1 mac, so i should find some time to look into this in the comming weeks.


#7

https://developer.apple.com/forums/thread/666700?answerId=666954022#666954022

I’m not too adept with this stuff either but I’m wondering if this will work? I’m on big sur on an intel-based macbook pro and I am getting the same exact error. In the meantime I’m going to go through and see if there’s anything on my end that can fix it.

If you need me to provide any additional info or testing just let me know.


Livecoding not working on Intel Mac with Big Sur
#8

-lSystem is very strange. it really shouldn’t be necessary, but can you check if installing the xcode-commandline-tools helps?

you would need to type xcode-select --install into terminal. here are more detailed instructions: https://osxdaily.com/2014/02/12/install-command-line-tools-mac-os-x/


#9

I’ve had the command line tools installed for awhile now since I’ve used it for some development stuff in the past, maybe I can try to uninstall it and then reinstall them to the latest version? I’ll try it and give you an update. I’m on macOS 11.5.2 if that helps.


#10

I ran xcode-select -v after uninstalling and reinstalling and it says:
xcode-select version 2384.

It still throws the same error, I’ll keep looking to see if I can find a solution but I might just boot up my windows computer in the meantime.


#11

Is there any news on this? I have the same problem with Big Sur on Intel Mac.